Update a status page
curl --request PATCH \
--url https://api.justanotheruptime.com/status-pages/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"isPublic": true,
"theme": "<string>",
"customDomain": "<string>",
"customCss": "<string>",
"customJs": "<string>"
}
'import requests
url = "https://api.justanotheruptime.com/status-pages/{id}"
payload = {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"isPublic": True,
"theme": "<string>",
"customDomain": "<string>",
"customCss": "<string>",
"customJs": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
description: '<string>',
isPublic: true,
theme: '<string>',
customDomain: '<string>',
customCss: '<string>',
customJs: '<string>'
})
};
fetch('https://api.justanotheruptime.com/status-pages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Status Pages
Update a status page
PATCH
/
status-pages
/
{id}
Update a status page
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Status Page ID
Body
application/json
The name of the status page
The slug for the status page URL
The description of the status page
Whether the status page is public
The theme of the status page
The custom domain for the status page
Custom CSS for the status page
Custom JavaScript for the status page
Response
The status page has been successfully updated.
⌘I